<?php

namespace kernel\IGTabel\action_column;

use Itguild\Tables\ActionColumn\ActionColumn;
use kernel\helpers\Debug;

class ViewActionColumn extends ActionColumn
{
    protected string $prefix = '/view/';

    public function fetch(): string
    {
        $link = $this->baseUrl . $this->prefix . $this->id;
        return " <a href='$link' class='btn btn-primary'>Просмотр</a> ";
    }
}